<?php

include "../admin/adminses.php";
$whatpage = preg_replace("/[^a-z0-9-_]/i","",$_REQUEST['what']);
@$updateornot = preg_replace("/[^a-z0-9-_]/i","",$_REQUEST['action']);

include "../engine/functions.php";

if ($updateornot) {
if ($updateornot=="delpage") {
$myFile = "../articles/" . $whatpage . ".dat";
unlink($myFile);
$file_menu = '../engine/menu.php';
@chmod($file_menu, 0777);
$filepp = file($file_menu);
$open_menu = fopen($file_menu,"w") or die("can't open file");
$seech_sl = preg_grep("/$whatpage/", $filepp);
   foreach($seech_sl as $key => $value)
   { $num=$key+1; } if (@$num) { 
       for($i=0;$i<count($filepp);$i++)
       {
       if(($i+1)!=$num){fwrite($open_menu,$filepp[$i]) or die("can't write file");}
       }
   $about_menu = 'А также удалена и ссылка на эту страницу из меню!<br />Проверьте также требуется ли редактировать шаблон, т.к. в коде шаблона ссылка могла быть тоже прописана!';
   } else { $about_menu = 'Но ссылки на эту страницу в меню не было!<br />Проверьте также требуется ли редактировать шаблон, т.к. в коде шаблона ссылка могла быть тоже прописана!'; }
fclose($open_menu);
@chmod($file_menu, 0604);

       $sitetitle="Страница удалена";
       @$contentcenter .=  "<br /><h3>Страница <font color=\"red\">" . $whatpage . ".html</font> была успешно удалена!</h3><br />" . $about_menu . "</b><br /><br />";
include "admintemplate.php";
       exit;
}

if ($updateornot=="delcatpage") {
$myFile = "../articles/" . $whatpage . ".dat";
unlink($myFile);
$file_menu = '../articles/stati.dat';
@chmod($file_menu, 0777);
$filepp = file($file_menu);
$open_menu = fopen($file_menu,"w") or die("can't open file");
$seech_sl = preg_grep("/$whatpage/", $filepp);
   foreach($seech_sl as $key => $value)
   { $num=$key+1; } if (@$num) { 
       for($i=0;$i<count($filepp);$i++)
       {
       if(($i+1)!=$num){fwrite($open_menu,$filepp[$i]) or die("can't write file");}
       }
   $about_menu = 'А также удалена и ссылка со страницы категории СТАТЬИ';
   } else { $about_menu = 'Но ссылки на эту страницу со страницы категории СТАТЬИ не было!<br />Проверьте также требуется ли редактировать шаблон, т.к. в коде шаблона ссылка могла быть тоже прописана!'; }
fclose($open_menu);
@chmod($file_menu, 0604);

       $sitetitle="Страница удалена";
       @$contentcenter .=  "<br /><h3>Страница <font color=\"red\">" . $whatpage . ".html</font> была успешно удалена!</h3><br />" . $about_menu . "</b><br /><br />";
include "admintemplate.php";
       exit;
}
}else{

$d='../articles/';
	$dir = opendir($d);
	while ($f = readdir($dir)) {
 				$thefile=$whatpage . ".dat";

 				$pos = strpos($f, $thefile);
 				if ($pos === false) {

	 			} else {
				
				//found so go get the details
				$myFile = '../articles/' . $thefile;

				$fh = fopen($myFile, 'r');
				$data = fread($fh, filesize($myFile));
				fclose($fh);

			 $title = explode("<!-- Kan_title -->",$data);
       @$contentcenter .=  "<b><font color=\"red\">Удаление</font> страницы:</b><br /><h1><font color=\"blue\">" . $title[1] . "</font></h1><br />";
			 $sitetitle="Удаление страницы:  " . $title[1];
			 $contentcenter.="Вы действительно хотитете удалить страницу: <b><font color=\"red\">" . $title[1] . "</font></b> ?";
			 $contentcenter.="<br /><br /><a href=\"index.php\">Нет, отложить.</a>";
			 $contentcenter.="<br /><br /><a href=\"delete.php?what=$whatpage&action=delpage\">Да, удалить (как страницу без категорий).</a> - физически страница будет удалена,<br />ссылка удаляется только из меню.<br />";
			 $contentcenter.="<br /><a href=\"delete.php?what=$whatpage&action=delcatpage\">Да, удалить (для страниц входящих в категорию СТАТЬИ)</a> - физически страница будет удалена,<br />ссылка удаляется только со страницы категории СТАТЬИ.<br />";

				break;
  			}
	
	}

}

include "../admin/admintemplate.php";

?>
